"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
// import css
require("../../css/modalRevamp.css");
require("../../css/margins.css");
const Mito_1 = require("./Mito");
/*
    DefaultModalRevamp is a higher-order component that
    takes a modal and a header, and displays it as a component.
*/
const DefaultModal = (props) => {
    const headerColor = props.modalType === Mito_1.ModalEnum.Error ? '#ED4747' : '#343434';
    return (react_1.default.createElement("div", { className: 'modal-revamp-container' },
        react_1.default.createElement("div", { className: 'modal-div' },
            react_1.default.createElement("div", { className: 'header-text-div', style: { color: headerColor } },
                react_1.default.createElement("p", null, props.header)),
            react_1.default.createElement("div", { className: "message-text" }, props.viewComponent),
            react_1.default.createElement("div", { className: "buttons" },
                react_1.default.createElement("div", { className: 'close-button', onClick: () => { props.setModal(Mito_1.ModalEnum.None); } }, " close "),
                react_1.default.createElement("div", { className: 'action-button', onClick: () => { props.actionFunction(); } }, props.actionButtonText)))));
};
exports.default = DefaultModal;
//# sourceMappingURL=DefaultModalRevamp.js.map