"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const ag_grid_react_1 = require("ag-grid-react");
require("ag-grid-community/dist/styles/ag-grid.css");
require("ag-grid-community/dist/styles/ag-theme-alpine.css");
require("../../css/mitosheet.css");
// And functions for building components
const gridData_1 = require("../data-utils/gridData");
const MitoSheet = (props) => {
    const cellValueChanged = (e) => {
        const column = e.colDef.field;
        const newValue = e.newValue;
        props.sendCellValueUpdate(column, newValue);
    };
    const columns = gridData_1.buildGridColumns(props.sheetJSON.columns);
    const rowData = gridData_1.buildGridData(props.sheetJSON);
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("div", { className: "ag-theme-alpine ag-grid" },
            react_1.default.createElement(ag_grid_react_1.AgGridReact, { onCellFocused: (e) => props.cellFocused(e), rowData: rowData, onCellValueChanged: cellValueChanged }, columns))));
};
exports.default = MitoSheet;
//# sourceMappingURL=MitoSheet.js.map