"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const PivotTaskpane_1 = require("./PivotTaskpane");
// import css
require("../../../../css/pivot-table-column-header-card.css");
require("../../../../css/pivot-table-value-aggregation-card.css");
require("../../../../css/margins.css");
const SmallSelect_1 = __importStar(require("../../elements/SmallSelect"));
/*
  A custom component that displays the column headers chosen as the key for the pivot table.
*/
const PivotTableValueAggregationCard = (props) => {
    /*
        if the aggregation type is set to NONE, we set it to SUM because
        SUM is the default aggregation type for new columns
    */
    if (props.aggregationType === PivotTaskpane_1.AggregationType.NONE) {
        props.editValueAggregationSelection(props.columnHeader, PivotTaskpane_1.AggregationType.SUM);
    }
    // create a list of the possible aggregation methods and remove NONE
    const aggregationTypeList = Object.values(PivotTaskpane_1.AggregationType);
    aggregationTypeList.splice(aggregationTypeList.indexOf(PivotTaskpane_1.AggregationType.NONE));
    const setAggregationType = (aggregationType) => {
        // declare the aggregationType param of type AggregationType and then make sure that it is
        const aggregationTypeCast = aggregationType;
        if (aggregationTypeList.includes(aggregationTypeCast)) {
            console.log("starting setting process");
            props.editValueAggregationSelection(props.columnHeader, aggregationType);
        }
    };
    return (react_1.default.createElement("div", { className: 'pivot-table-column-header-card-div' },
        react_1.default.createElement("div", { className: 'pivot-table-value-aggregation-card-aggregation-info-div' },
            react_1.default.createElement(SmallSelect_1.default, { startingValue: props.aggregationType === PivotTaskpane_1.AggregationType.NONE ? 'SUM' : props.aggregationType, optionsArray: aggregationTypeList, setValue: setAggregationType, titleColor: SmallSelect_1.TitleColor.DARK }),
            react_1.default.createElement("p", { className: 'pivot-table-column-header-card-div-text ml-5' },
                "of ",
                props.columnHeader)),
        react_1.default.createElement("div", { className: 'pivot-table-column-header-card-exit-div', onClick: () => props.editValueAggregationSelection(props.columnHeader, PivotTaskpane_1.AggregationType.NONE) },
            react_1.default.createElement("svg", { width: "15", height: "15", viewBox: "0 0 7 7", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                react_1.default.createElement("line", { x1: "0.353553", y1: "0.646447", x2: "5.66601", y2: "5.9589", stroke: "#343434" }),
                react_1.default.createElement("line", { x1: "0.354943", y1: "5.95895", x2: "5.66739", y2: "0.646497", stroke: "#343434" })))));
};
exports.default = PivotTableValueAggregationCard;
//# sourceMappingURL=PivotTableValueAggregationCard.js.map